Bug 441063 - Multiple, sequential sound clips can't be played by Java or other applets
Multiple, sequential sound clips can't be played by Java or other applets
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 14:06 EDT by Bayard R. Coolidge
Modified: 2009-07-14 11:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of pulseaudio -vv when trying to play pogo.com java game (12.46 KB, application/text)
2008-04-09 14:25 EDT, Bayard R. Coolidge
no flags Details

  None (edit)
Description Bayard R. Coolidge 2008-04-05 14:06:43 EDT
Description of problem: When attempting to play various games on pogo.com, which
are Java-based applets, some of the initial sound effects play fine, but after a
moment, no further sounds are heard. Similarly, if I am using the user desktop
management GUI to configure event-driven sound effects, I hear a light hiss
after I test-play each sound - if I wait until the hiss disappears (typically
3-4 seconds after the sound effect itself has stopped), I can then play another
sound. If I don't wait, and try to play another one right away, I get nothing.
However, in both instances (Java and menu), normal sound effects do play, such
as when I logout. Problem happens under both KDE (my usual desktop mode) and
under GNOME (which I tried today to verify problem).


Version-Release number of selected component (if applicable):
Fedora Beta (installed from DVD), with all updates through 1530Z 5 Apr 2008.
pulseaudio-0.9.10-1.fc9.x86_64
kde*-4.0.3-5.fc9.x86_64
firefox-3.0-0.52.beta5.fc9.x86_64
java-1.6.0-openjdk-1.6.0.0-0.7.b08.fc9.x86_64


How reproducible: Always :-(


Steps to Reproduce:
1. Log in as ordinary user under GNOME or KDE
2. Bring up Firefox (untried under Konqueror)
3. Visit http://www.pogo.com and pick a game to play
  
Actual results:
When bringing up a game (which appears in a sub-window of Firefox),
some of the initial sounds, such as the game's splash jingle, will play,
as well as a few (3-4) simple/short sound effects (200-500 ms apiece?),
then no sounds thereafter until game is terminated by clicking the 'x'
in the upper right-hand corner of the subwindow.
When playing a sample audio clip for system events, I hear a light hiss,
followed by a quiet click well after (2-3 seconds) after the expected
sound has been played, as if the sound clip was expected to be a lot
longer than it really is.


Expected results:
Sounds should continue to play throughout the session - they do under
Windows XP as well as SuSE 10.2. I should be able to click on various
sample sound clicks while configuring my desktop preferences and not have
to wait for the buffer/queue (or whatever) to fully drain on each sound.


Additional info: Hardware: HP dv9000z laptop, AMD Turion 64x2, 2GB memory,
F9Beta installed on Western Digital MyBook USB drive, NVIDIA MCP51 sound
system, Alsa seems to be automatically configured in (was getting some
error balloons the other day saying it had failed and was defaulting back
to PulseAudio, but that error message has disappeared as mysteriously as
it appeared last week).

My personal gut feel is that there is a buffering problem between apps and
PulseAudio and that PA's work queue is overflowing - i.e., it can't gracefully
handle multiple events and/or the hardware is not reacting properly.
Comment 1 Bayard R. Coolidge 2008-04-08 14:23:25 EDT
This morning's updates somehow clobbered my firefox plugins
(/usr/lib64/firefox-3.0b5/plugins directory disappeared !). I did a mkdir, then
in plugins added a symbolic link, ln -s /usr/lib64/gcj-4.3.0/libgcjwebplugin.so
libgcjwebplugin.so
and restarted Firefox, which then reported the usual suspects in 'about:plugins'.
Behaviour of this set-up is basically the same as reported initially - there was
no improvement due to today's new bits.

The last few days have seen a balloon appearing telling me that Alsa has failed
and that the sound system is going to its fallback of PulseAudio. This happens
regardless of Desktop (KDE vs. GNOME) and presence/absence of Firefox.
Comment 2 Bayard R. Coolidge 2008-04-09 14:25:07 EDT
Created attachment 301870 [details]
Output of pulseaudio -vv when trying to play pogo.com java game

Note that I'm running 2.6.25-0.201.rc8.git4.fc9.x86_64 kernel instead of
today's 205 kernel because the latter eats my cursor, apparently. Also, this
output was created under a GNOME desktop, but my complaint about stuff not
playing applies to both KDE and GNOME, and I'll be happy to repeat the
pulseaudio -vv under KDE upon request.
Comment 3 Bayard R. Coolidge 2008-04-25 11:33:02 EDT
Problem appears to persist under Fedora Preview, up through and including this
morning's (USA EDT) updates. I note that similar problems are being discussed in
the Ubuntu fora, https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/198453
and I'm speculating that there is an integration problem with ALSA and/or
intel_hda (even though I'm running NVIDIA MCP51 hardware).
Comment 4 Bayard R. Coolidge 2008-05-13 22:43:21 EDT
Slight improvement noted with the F9 Release version today, as long as I was very
patient and waited for the buffers to drain. But longer-length sound effects
still cut out, and there's nothing I can do to avoid it.
Comment 5 Bug Zapper 2008-05-14 04:57:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 20:00:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 11:57:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.